package roboter_demo;

import com.sun.j3d.utils.geometry.Box;
import javax.media.j3d.Appearance;
import javax.media.j3d.BranchGroup;
import javax.media.j3d.Material;
import javax.media.j3d.Node;
import javax.media.j3d.Transform3D;
import javax.media.j3d.TransformGroup;
import javax.vecmath.Vector3d;

class Wrist {
  private final float mWidth = 0.25F;
  
  private final float mLength = 0.5F;
  
  private final float mScale = 1.0F;
  
  private BranchGroup mBrGrp = new BranchGroup();
  
  private TransformGroup mTfGrp = new TransformGroup();
  
  private TransformGroup mHandTfGrp = new TransformGroup();
  
  private Hand mHand = new Hand();
  
  private double mAngle;
  
  private Transform3D mRotTf = new Transform3D();
  
  private Transform3D mTrnTf = new Transform3D();
  
  private Transform3D mResTf = new Transform3D();
  
  public BranchGroup getBrGrp() {
    return this.mBrGrp;
  }
  
  public void incHandAngle() {
    this.mHand.incHandAngle();
  }
  
  public void decHandAngle() {
    this.mHand.decHandAngle();
  }
  
  public void incHandSpan() {
    this.mHand.incHandSpan();
  }
  
  public void decHandSpan() {
    this.mHand.decHandSpan();
  }
  
  public void incHandAngle(double paramDouble) {
    this.mHand.incHandAngle(paramDouble);
  }
  
  public void incHandSpan(double paramDouble) {
    this.mHand.incHandSpan(paramDouble);
  }
  
  public Wrist() {
    Box box = new Box(0.125F, 0.25F, 0.125F, 1, null);
    Material material = new Material();
    Appearance appearance = new Appearance();
    Transform3D transform3D = new Transform3D();
    Vector3d vector3d = new Vector3d();
    this.mTfGrp.addChild((Node)box);
    this.mHandTfGrp.addChild((Node)this.mHand.getBrGrp());
    this.mTfGrp.addChild((Node)this.mHandTfGrp);
    this.mBrGrp.addChild((Node)this.mTfGrp);
    vector3d.set(0.0D, 0.125D, -0.25D);
    transform3D.rotY(1.5707963267948966D);
    transform3D.setTranslation(vector3d);
    this.mHandTfGrp.setTransform(transform3D);
    material.setDiffuseColor(0.0F, 0.0F, 1.0F);
    material.setAmbientColor(0.0F, 0.0F, 0.4F);
    appearance.setMaterial(material);
    box.setAppearance(appearance);
    this.mTfGrp.setCapability(18);
    rotate(0.0D);
  }
  
  public void incAngle() {
    rotate(0.02D);
  }
  
  private void rotate(double paramDouble) {
    this.mAngle += paramDouble;
    this.mRotTf.rotY(this.mAngle);
    this.mResTf.setIdentity();
    this.mResTf.mul(this.mRotTf);
    this.mTfGrp.setTransform(this.mResTf);
  }
  
  public void incAngle(double paramDouble) {
    rotate(paramDouble);
  }
  
  public void decAngle() {
    rotate(-0.02D);
  }
}


/* Location:              /opt/SpaceControl/Roboter_Demo.jar!/roboter_demo/Wrist.class
 * Java compiler version: 8 (52.0)
 * JD-Core Version:       1.2.1
 */